Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Organization

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040OrganizationImpl

    public interface POCDMT000040Organization

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Organization'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Name`
- `Telecom`
- `Addr`
- `Standard Industry Class Code`
- `As Organization Part Of`
- `Class Code`
- `Determiner Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040Organization()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAddr()` Returns the value of the 'Addr' containment reference list.
`POCDMT000040OrganizationPartOf` | `getAsOrganizationPartOf()` Returns the value of the 'As Organization Part Of' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getDeterminerCode()` Returns the value of the 'Determiner Code' attribute.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`org.eclipse.emf.common.util.EList` | `getName()` Returns the value of the 'Name' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`CE` | `getStandardIndustryClassCode()` Returns the value of the 'Standard Industry Class Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelecom()` Returns the value of the 'Telecom' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetDeterminerCode()` Returns whether the value of the '`Determiner Code`' attribute is set.
`void` | `setAsOrganizationPartOf(POCDMT000040OrganizationPartOf value)` Sets the value of the '`As Organization Part Of`' containment reference.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setDeterminerCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Determiner Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setStandardIndustryClassCode(CE value)` Sets the value of the '`Standard Industry Class Code`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetDeterminerCode()` Unsets the value of the '`Determiner Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Organization_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_Id()`

### getName

    org.eclipse.emf.common.util.EList getName()

  Returns the value of the 'Name' containment reference list. The list contents are of type `ON`.

  If the meaning of the 'Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_Name()`

### getTelecom

    org.eclipse.emf.common.util.EList getTelecom()

  Returns the value of the 'Telecom' containment reference list. The list contents are of type `TEL`.

  If the meaning of the 'Telecom' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telecom' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_Telecom()`

### getAddr

    org.eclipse.emf.common.util.EList getAddr()

  Returns the value of the 'Addr' containment reference list. The list contents are of type `AD`.

  If the meaning of the 'Addr' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Addr' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Organization_Addr()`

### getStandardIndustryClassCode

    CE getStandardIndustryClassCode()

  Returns the value of the 'Standard Industry Class Code' containment reference.

  If the meaning of the 'Standard Industry Class Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Standard Industry Class Code' containment reference.
  See Also:
    `setStandardIndustryClassCode(CE)`, `CDAR2Package.getPOCDMT000040Organization_StandardIndustryClassCode()`

### setStandardIndustryClassCode

    void setStandardIndustryClassCode(CE value)

  Sets the value of the '`Standard Industry Class Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Standard Industry Class Code' containment reference.
  See Also:
    `getStandardIndustryClassCode()`

### getAsOrganizationPartOf

    POCDMT000040OrganizationPartOf getAsOrganizationPartOf()

  Returns the value of the 'As Organization Part Of' containment reference.

  If the meaning of the 'As Organization Part Of' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'As Organization Part Of' containment reference.
  See Also:
    `setAsOrganizationPartOf(POCDMT000040OrganizationPartOf)`, `CDAR2Package.getPOCDMT000040Organization_AsOrganizationPartOf()`

### setAsOrganizationPartOf

    void setAsOrganizationPartOf(POCDMT000040OrganizationPartOf value)

  Sets the value of the '`As Organization Part Of`' containment reference.

  Parameters:
    `value` - the new value of the 'As Organization Part Of' containment reference.
  See Also:
    `getAsOrganizationPartOf()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"ORG"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Organization_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### getDeterminerCode

    org.eclipse.emf.common.util.Enumerator getDeterminerCode()

  Returns the value of the 'Determiner Code' attribute. The default value is `"INSTANCE"`.

  If the meaning of the 'Determiner Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Determiner Code' attribute.
  See Also:
    `isSetDeterminerCode()`, `unsetDeterminerCode()`, `setDeterminerCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Organization_DeterminerCode()`

### setDeterminerCode

    void setDeterminerCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Determiner Code`' attribute.

  Parameters:
    `value` - the new value of the 'Determiner Code' attribute.
  See Also:
    `isSetDeterminerCode()`, `unsetDeterminerCode()`, `getDeterminerCode()`

### unsetDeterminerCode

    void unsetDeterminerCode()

  Unsets the value of the '`Determiner Code`' attribute.

  See Also:
    `isSetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(Enumerator)`

### isSetDeterminerCode

    boolean isSetDeterminerCode()

  Returns whether the value of the '`Determiner Code`' attribute is set.

  Returns:
    whether the value of the 'Determiner Code' attribute is set.
  See Also:
    `unsetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Organization_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD